[PATCH 72/94] sys-libs/libacpica: new package, add 0_pre20220331_p6, 9999

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <3b7558ebb569574f8d1ce405dec1f7bdf9a1b6ed.1774994353.git.sam@gentoo.org>
Part of the same codebase AFAICT as sys-power/iasl.

Signed-off-by: Sam James <[email protected]>
---
 sys-libs/libacpica/Manifest                   |  1 +
 .../libacpica-0_pre20220331_p6.ebuild         | 57 +++++++++++++++++++
 sys-libs/libacpica/libacpica-9999.ebuild      | 57 +++++++++++++++++++
 .../anope => sys-libs/libacpica}/metadata.xml |  0
 4 files changed, 115 insertions(+)
 create mode 100644 sys-libs/libacpica/Manifest
 create mode 100644 sys-libs/libacpica/libacpica-0_pre20220331_p6.ebuild
 create mode 100644 sys-libs/libacpica/libacpica-9999.ebuild
 copy {acct-group/anope => sys-libs/libacpica}/metadata.xml (100%)

diff --git a/sys-libs/libacpica/Manifest b/sys-libs/libacpica/Manifest
new file mode 100644
index 0000000000000..2244e967b0042
--- /dev/null
+++ b/sys-libs/libacpica/Manifest
@@ -0,0 +1 @@
+DIST libacpica-debian-0_20220331-6.tar.bz2 450164 BLAKE2B 85c5263d13074059f9a0f541d70d5d81a725b10de343567196f7bbcb9985d847e2d93eede2388efd8b83b76d2e37f91461a0bee0c37e1f0a4502d6ad71ea7ba1 SHA512 c9b298d096a4839ffc2167be3b7c0528b4d5dacbdb6a0efd81346144c8b00b979113abe72517b673db2835d0f5f24b10a4e19e17adb503784215c7d05443b3ea
diff --git a/sys-libs/libacpica/libacpica-0_pre20220331_p6.ebuild b/sys-libs/libacpica/libacpica-0_pre20220331_p6.ebuild
new file mode 100644
index 0000000000000..4b1f900ddf2cb
--- /dev/null
+++ b/sys-libs/libacpica/libacpica-0_pre20220331_p6.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="ACPICA as a library"
+HOMEPAGE="https://salsa.debian.org/hurd-team/libacpica"
+
+if [[ ${PV} == *9999* ]] ; then
+	EGIT_REPO_URI="https://salsa.debian.org/hurd-team/libacpica.git"
+	inherit git-r3
+elif [[ ${PV} == *_pre*_p* ]] ; then
+	# These are proper Debian relaeses. libacpica isn't currently
+	# part of the Debian archive, so this is the best we can do (no
+	# 'orig' tarballs).
+	LIBACPICA_PV=0_$(ver_cut 3)-$(ver_cut 5)
+
+	SRC_URI="https://salsa.debian.org/hurd-team/libacpica/-/archive/debian/${LIBACPICA_PV}/libacpica-debian-${LIBACPICA_PV}.tar.bz2"
+	S="${WORKDIR}"/${PN}-debian-${LIBACPICA_PV}
+else
+	# Snapshots
+	LIBACPICA_COMMIT="0c3593e27947ef0734a070143caadaed28438354"
+	SRC_URI="https://salsa.debian.org/hurd-team/libacpica/-/archive/${LIBACPICA_COMMIT}/libacpica-${LIBACPICA_COMMIT}.tar.bz2"
+fi
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	x11-libs/libpciaccess
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	eapply $(sed -e 's:^:debian/patches/:' debian/patches/series || die)
+
+	sed -i -e 's:ar crs:$(AR) crs:' Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC
+}
+
+src_compile() {
+	emake PREFIX="${EPREFIX}"/usr
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr LIBDIR="${EPREFIX}/usr/$(get_libdir)" install
+}
diff --git a/sys-libs/libacpica/libacpica-9999.ebuild b/sys-libs/libacpica/libacpica-9999.ebuild
new file mode 100644
index 0000000000000..4b1f900ddf2cb
--- /dev/null
+++ b/sys-libs/libacpica/libacpica-9999.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="ACPICA as a library"
+HOMEPAGE="https://salsa.debian.org/hurd-team/libacpica"
+
+if [[ ${PV} == *9999* ]] ; then
+	EGIT_REPO_URI="https://salsa.debian.org/hurd-team/libacpica.git"
+	inherit git-r3
+elif [[ ${PV} == *_pre*_p* ]] ; then
+	# These are proper Debian relaeses. libacpica isn't currently
+	# part of the Debian archive, so this is the best we can do (no
+	# 'orig' tarballs).
+	LIBACPICA_PV=0_$(ver_cut 3)-$(ver_cut 5)
+
+	SRC_URI="https://salsa.debian.org/hurd-team/libacpica/-/archive/debian/${LIBACPICA_PV}/libacpica-debian-${LIBACPICA_PV}.tar.bz2"
+	S="${WORKDIR}"/${PN}-debian-${LIBACPICA_PV}
+else
+	# Snapshots
+	LIBACPICA_COMMIT="0c3593e27947ef0734a070143caadaed28438354"
+	SRC_URI="https://salsa.debian.org/hurd-team/libacpica/-/archive/${LIBACPICA_COMMIT}/libacpica-${LIBACPICA_COMMIT}.tar.bz2"
+fi
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	x11-libs/libpciaccess
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	eapply $(sed -e 's:^:debian/patches/:' debian/patches/series || die)
+
+	sed -i -e 's:ar crs:$(AR) crs:' Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC
+}
+
+src_compile() {
+	emake PREFIX="${EPREFIX}"/usr
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr LIBDIR="${EPREFIX}/usr/$(get_libdir)" install
+}
diff --git a/acct-group/anope/metadata.xml b/sys-libs/libacpica/metadata.xml
similarity index 100%
copy from acct-group/anope/metadata.xml
copy to sys-libs/libacpica/metadata.xml
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.